Public API - Employees
List a company's employees matching your personas
Employees at the given company whose profile matches your buyer personas. Pass personaIds to restrict to specific personas; omit for all. Paged.
GET
/
public
/
v1
/
companies
/
{companyId}
/
employees
/
personas
List a company's employees matching your personas
curl --request GET \
--url https://app.stairoids.com/api/public/v1/companies/{companyId}/employees/personas \
--header 'X-Api-Key: <api-key>'import requests
url = "https://app.stairoids.com/api/public/v1/companies/{companyId}/employees/personas"
headers = {"X-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Api-Key': '<api-key>'}};
fetch('https://app.stairoids.com/api/public/v1/companies/{companyId}/employees/personas', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"person": {
"publicIdentifier": "jane-doe-123",
"name": "Jane Doe",
"headline": "VP of Marketing",
"linkedInUrl": "<string>",
"profilePicture": "<string>"
},
"email": "<string>"
}
],
"page": 0,
"size": 20,
"totalElements": 137,
"totalPages": 7
}{
"errorType": "EMAIL_ALREADY_EXISTS"
}{
"errorType": "EMAIL_ALREADY_EXISTS",
"category": "<string>",
"currentUsage": 123,
"limit": 123,
"addOnSlug": "<string>",
"planSlug": "<string>",
"addOnPriceMonthly": 123,
"upgradePlanSlug": "<string>",
"upgradePlanName": "<string>",
"upgradePlanPriceMonthly": 123
}{
"errorType": "EMAIL_ALREADY_EXISTS",
"category": "<string>",
"currentUsage": 123,
"limit": 123
}{
"errorType": "EMAIL_ALREADY_EXISTS"
}Authorizations
Your organization's public API key.
Path Parameters
Query Parameters
Response
OK
A page of results.
⌘I
List a company's employees matching your personas
